DotsDocs
Payout agents

Approve a Recipient

Approve exactly one user ID, email, or country calling code and phone number. Emails are normalized to lowercase; phone numbers are normalized. Repeated approvals return the existing record. Creating an approval does not create a user. The list is enforced only while recipient_restriction_enabled is true.

POST
/v2/payout-agents/{payout_agent_id}/approved-recipients

Approve exactly one user ID, email, or country calling code and phone number. Emails are normalized to lowercase; phone numbers are normalized. Repeated approvals return the existing record. Creating an approval does not create a user. The list is enforced only while recipient_restriction_enabled is true.

AuthorizationBasic <token>

In: header

Path Parameters

payout_agent_id*string

ID of the payout agent.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/payout-agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/approved-recipients" \  -H "Content-Type: application/json" \  -d '{    "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5"  }'
{  "object": "payout_agent_approved_recipient",  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",  "first_name": "string",  "last_name": "string",  "created": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "email": "string",  "country_code": "string",  "phone_number": "string"}